

static GtkItemFactoryEntry elements_menu_en[] =
  {
  { "/File",        	    NULL,	    0,		0,                            "<Branch>" },
  { "/File/_New",           "<control>N",   (GtkItemFactoryCallback)menu_file,     1, "<StockItem>", GTK_STOCK_NEW },
  { "/File/_Open",          "<control>O",   (GtkItemFactoryCallback)menu_file,     2, "<StockItem>", GTK_STOCK_OPEN },
  //  { "/File/Open Sample",    NULL,           (GtkItemFactoryCallback)menu_file,     3, "<Item>" },
  { "/File/_Close",         "<control>F4",  (GtkItemFactoryCallback)menu_file,     4, "<Item>" },
  { "/File/_Save",          "<control>S",   (GtkItemFactoryCallback)menu_file,     5, "<StockItem>", GTK_STOCK_SAVE },
  { "/File/Save as",        "F12",          (GtkItemFactoryCallback)menu_file,     6, "<StockItem>", GTK_STOCK_SAVE_AS },
  { "/File/Export ...",     NULL,           (GtkItemFactoryCallback)menu_file,     8, "<Item>" },
  { "/File/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/File/Settings",       NULL,           (GtkItemFactoryCallback)menu_file,     7, "<StockItem>", GTK_STOCK_PREFERENCES },
  { "/File/Language/English", NULL, (GtkItemFactoryCallback)menu_lang, 0, "<Item>" },
  { "/File/Language/French", NULL, (GtkItemFactoryCallback)menu_lang, 1, "<Item>" },
  { "/File/Language/Catalan", NULL, (GtkItemFactoryCallback)menu_lang, 2, "<Item>" },
  { "/File/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/File/_Quit", 	    "<control>Q",   (GtkItemFactoryCallback)askForQuit, 0, "<StockItem>", GTK_STOCK_QUIT },
  { "/Edit",               NULL,           0,               0,                       "<Branch>" },
  { "/Edit/_Undo",          "<control>Z",   (GtkItemFactoryCallback)menu_edit,     1, "<StockItem>", GTK_STOCK_UNDO },
  { "/Edit/_Redo",          "<alt>Z",     (GtkItemFactoryCallback)menu_edit,     2, "<StockItem>", GTK_STOCK_REDO },
  { "/Edit/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Edit/Select All",     "<control>A",   (GtkItemFactoryCallback)menu_edit,     3, "<Item>" },
  { "/Edit/Delete",         "<del>",        (GtkItemFactoryCallback)menu_obj,     IDM_DELETE, "<Item>" },
  { "/Edit/Hide",           "<control>H",   (GtkItemFactoryCallback)menu_obj,    IDM_HIDE, "<Item>" },
  //  { "/Edit/Change Color",   NULL,           (GtkItemFactoryCallback)menu_edit,     6, "<Item>" },
  //  { "/Edit/Properties",     NULL,           (GtkItemFactoryCallback)menu_edit,     7, "<Item>" },
  { "/Edit/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Edit/Create a comment area", NULL,    (GtkItemFactoryCallback)menu_obj,     IDM_COMMENT, "<Item>" },
  { "/Points",             NULL,           0,               0,                       "<Branch>" },
  { "/Points/Free/In the plane",     "<control>f",            (GtkItemFactoryCallback)menu_obj,      IDM_FIXPOINT, "<Item>" },
  { "/Points/Free/On an object",     "<alt>f", (GtkItemFactoryCallback)menu_obj,      IDM_FIXPOINT_LIMITED, "<Item>" },
  { "/Points/Intersect/2 lines", "<control>i",     (GtkItemFactoryCallback)menu_obj, IDM_POINTINTERSECT, "<Item>" },
  { "/Points/Intersect/line+circle", "<alt>i", (GtkItemFactoryCallback)menu_obj, IDM_INTER_CERCLE_DROITE, "<Item>" },
  { "/Points/Intersect/2 circles", NULL,(GtkItemFactoryCallback)menu_obj, IDM_INTER_CERCLE_CERCLE, "<Item>" },
  { "/Points/Mid point",    "<control>m",            (GtkItemFactoryCallback)menu_obj, IDM_MIDPOINT, "<Item>" },
  { "/Points/Barycenter",   "<control>b",     (GtkItemFactoryCallback)menu_obj, IDM_BARY, "<Item>" },
  { "/Points/Transformed/Translated (3 points)", "<control>t",   (GtkItemFactoryCallback)menu_obj, IDM_VECT, "<Item>" },
  { "/Points/Transformed/Translated by a vector", NULL, (GtkItemFactoryCallback)menu_obj, IDM_TRANSLATEDPOINT, "<Item>" },
  { "/Points/Transformed/Rotated-homothetic", "<control>r",    (GtkItemFactoryCallback)menu_obj, IDM_POINT_ROTATED, "<Item>" },
  { "/Points/Transformed/Projected on a circle", NULL,  (GtkItemFactoryCallback)menu_obj, IDM_PROJ_CIRCLE, "<Item>" },
  { "/Points/Transformed/Projected on a line", NULL,    (GtkItemFactoryCallback)menu_obj, IDM_PROJ_LINE, "<Item>" },
  { "/Points/Transformed/Orthogonal projected", NULL,   (GtkItemFactoryCallback)menu_obj, IDM_PROJ_ORTHOGONAL, "<Item>" },
  { "/Lines",             NULL,           0,               0,                       "<Branch>" },
  { "/Lines/By two points", "<control>l", (GtkItemFactoryCallback)menu_obj, IDM_LINEAB, "<Item>" },
  { "/Lines/Segment", "<alt>s", (GtkItemFactoryCallback)menu_obj, IDM_SEGMENT, "<Item>" },
  { "/Lines/Orthogonal to another line", "<alt>o", (GtkItemFactoryCallback)menu_obj, IDM_ORTHOGONAL, "<Item>" },
  { "/Lines/Parallel to another line", "<alt>p", (GtkItemFactoryCallback)menu_obj, IDM_PARALLEL, "<Item>" },
  { "/Lines/Bissector", "<control>b", (GtkItemFactoryCallback)menu_obj, IDM_BISSECTRICE, "<Item>" },
  { "/Circles", NULL, 0, 0, "<Branch>" },
  { "/Circles/Center+Radius", "<control>c", (GtkItemFactoryCallback)menu_obj, IDM_CIRCLEAB, "<Item>" },
  { "/Circles/Tangent to a line", "<control>t", (GtkItemFactoryCallback)menu_obj, IDM_CERCLE_TANGENT, "<Item>" },
  { "/Vectors", NULL, 0, 0, "<Branch>" },
  { "/Vectors/By two points", "<control>v", (GtkItemFactoryCallback)menu_obj, IDM_VECTORAB, "<Item>" },
  { "/Vectors/Sum of vectors", NULL, (GtkItemFactoryCallback)menu_obj, IDM_VECTORSUM, "<Item>" },
  { "/Vectors/Difference of vectors", NULL, (GtkItemFactoryCallback)menu_obj, IDM_VECTORDIFF, "<Item>" },
  { "/Surveys", NULL, 0, 0, "<Branch>" },
  { "/Surveys/Oriented angle", "<alt>A", (GtkItemFactoryCallback)menu_obj, IDM_ANGLE, "<Item>" },
  { "/Surveys/Non-oriented angle", "<alt>G", (GtkItemFactoryCallback)menu_obj, IDM_ANGLE_GEO, "<Item>" },
  { "/Surveys/Length", "<alt>L", (GtkItemFactoryCallback)menu_obj, IDM_NORM, "<Item>" },
  { "/Surveys/Scalar product of two vectors", NULL, (GtkItemFactoryCallback)menu_obj, IDM_SCALAIREPROD, "<Item>" }
};

static GtkItemFactoryEntry elements_menu_fr[] =
  {
  { "/Fichier",        	    NULL,	    0,		0,                            "<Branch>" },
  { "/Fichier/_Nouveau",    "<control>N",   (GtkItemFactoryCallback)menu_file,     1, "<StockItem>", GTK_STOCK_NEW },
  { "/Fichier/_Ouvrir",     "<control>O",   (GtkItemFactoryCallback)menu_file,     2, "<StockItem>", GTK_STOCK_OPEN },
  //  { "/File/Open Sample",    NULL,           (GtkItemFactoryCallback)menu_file,     3, "<Item>" },
  { "/Fichier/_Fermer",         "<control>F4",  (GtkItemFactoryCallback)menu_file,     4, "<Item>" },
  { "/Fichier/_Sauver",          "<control>S",   (GtkItemFactoryCallback)menu_file,     5, "<StockItem>", GTK_STOCK_SAVE },
  { "/Fichier/Sauver sous ...",        "F12",          (GtkItemFactoryCallback)menu_file,     6, "<StockItem>", GTK_STOCK_SAVE_AS },
  { "/Fichier/Exporter ...",     NULL,           (GtkItemFactoryCallback)menu_file,     8, "<Item>" },
  { "/Fichier/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Fichier/Configuration",       NULL,           (GtkItemFactoryCallback)menu_file,     7, "<StockItem>", GTK_STOCK_PREFERENCES },
  { "/Fichier/Langage/Anglais", NULL, (GtkItemFactoryCallback)menu_lang, 0, "<Item>" },
  { "/Fichier/Langage/Francais", NULL, (GtkItemFactoryCallback)menu_lang, 1, "<Item>" },
  { "/Fichier/Langage/Catalan", NULL, (GtkItemFactoryCallback)menu_lang, 2, "<Item>" },
  { "/Fichier/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Fichier/_Quitter", 	    "<control>Q",   (GtkItemFactoryCallback)askForQuit, 0, "<StockItem>", GTK_STOCK_QUIT },
  { "/Edition",               NULL,           0,               0,                       "<Branch>" },
  { "/Edition/_Annuler",          "<control>Z",   (GtkItemFactoryCallback)menu_edit,     1, "<StockItem>", GTK_STOCK_UNDO },
  { "/Edition/_Refaire",          "<alt>Z",     (GtkItemFactoryCallback)menu_edit,     2, "<StockItem>", GTK_STOCK_REDO },
  { "/Edition/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Edition/Tout selectionner",     "<control>A",   (GtkItemFactoryCallback)menu_edit,     3, "<Item>" },
  { "/Edition/Supprimer",         "<del>",        (GtkItemFactoryCallback)menu_obj,     IDM_DELETE, "<Item>" },
  { "/Edition/Cacher",           "<control>H",   (GtkItemFactoryCallback)menu_obj,    IDM_HIDE, "<Item>" },
  //  { "/Edit/Change Color",   NULL,           (GtkItemFactoryCallback)menu_edit,     6, "<Item>" },
  //  { "/Edit/Properties",     NULL,           (GtkItemFactoryCallback)menu_edit,     7, "<Item>" },
  { "/Edition/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Edition/Creer un papier volant", NULL,    (GtkItemFactoryCallback)menu_obj,     IDM_COMMENT, "<Item>" },
  { "/Points",             NULL,           0,               0,                       "<Branch>" },
  { "/Points/Libre/Dans le plan",     "<control>l",            (GtkItemFactoryCallback)menu_obj,      IDM_FIXPOINT, "<Item>" },
  { "/Points/Libre/Sur un objet",     "<alt>l", (GtkItemFactoryCallback)menu_obj,      IDM_FIXPOINT_LIMITED, "<Item>" },
  { "/Points/Intersection/2 droites", "<control>i",     (GtkItemFactoryCallback)menu_obj, IDM_POINTINTERSECT, "<Item>" },
  { "/Points/Intersection/droite+cercle", "<alt>i", (GtkItemFactoryCallback)menu_obj, IDM_INTER_CERCLE_DROITE, "<Item>" },
  { "/Points/Intersection/2 cercles", NULL,(GtkItemFactoryCallback)menu_obj, IDM_INTER_CERCLE_CERCLE, "<Item>" },
  { "/Points/Point milieu",    "<control>m",            (GtkItemFactoryCallback)menu_obj, IDM_MIDPOINT, "<Item>" },
  { "/Points/Barycentre",   "<control>b",     (GtkItemFactoryCallback)menu_obj, IDM_BARY, "<Item>" },
  { "/Points/Transforme/Translate (3 points)", "<control>t",   (GtkItemFactoryCallback)menu_obj, IDM_VECT, "<Item>" },
  { "/Points/Transforme/Translate par un vecteur", NULL,    (GtkItemFactoryCallback)menu_obj, IDM_TRANSLATEDPOINT, "<Item>" },
  { "/Points/Transforme/Rotation-homothetie", "<control>r",    (GtkItemFactoryCallback)menu_obj, IDM_POINT_ROTATED, "<Item>" },
  { "/Points/Transforme/Projete sur un cercle", NULL,  (GtkItemFactoryCallback)menu_obj, IDM_PROJ_CIRCLE, "<Item>" },
  { "/Points/Transforme/Projete sur une droite", NULL,    (GtkItemFactoryCallback)menu_obj, IDM_PROJ_LINE, "<Item>" },
  { "/Points/Transforme/Projete orthogonal", NULL,   (GtkItemFactoryCallback)menu_obj, IDM_PROJ_ORTHOGONAL, "<Item>" },
  { "/Droites",             NULL,           0,               0,                       "<Branch>" },
  { "/Droites/Par 2 points", "<control>l", (GtkItemFactoryCallback)menu_obj, IDM_LINEAB, "<Item>" },
  { "/Droites/Segment", "<alt>s", (GtkItemFactoryCallback)menu_obj, IDM_SEGMENT, "<Item>" },
  { "/Droites/Perpendiculaire a une autre droite", "<alt>o", (GtkItemFactoryCallback)menu_obj, IDM_ORTHOGONAL, "<Item>" },
  { "/Droites/Parallele a une autre droite", "<alt>p", (GtkItemFactoryCallback)menu_obj, IDM_PARALLEL, "<Item>" },
  { "/Droites/Bissectrice", "<control>b", (GtkItemFactoryCallback)menu_obj, IDM_BISSECTRICE, "<Item>" },
  { "/Cercles", NULL, 0, 0, "<Branch>" },
  { "/Cercles/Centre+Rayon", "<control>c", (GtkItemFactoryCallback)menu_obj, IDM_CIRCLEAB, "<Item>" },
  { "/Cercles/Tangent a une droite", "<control>t", (GtkItemFactoryCallback)menu_obj, IDM_CERCLE_TANGENT, "<Item>" },
  { "/Vecteurs", NULL, 0, 0, "<Branch>" },
  { "/Vecteurs/Par deux points", "<control>v", (GtkItemFactoryCallback)menu_obj, IDM_VECTORAB, "<Item>" },
  { "/Vecteurs/Somme de vecteurs", NULL, (GtkItemFactoryCallback)menu_obj, IDM_VECTORSUM, "<Item>" },
  { "/Vecteurs/Différence de vecteurs", NULL, (GtkItemFactoryCallback)menu_obj, IDM_VECTORDIFF, "<Item>" },
  { "/Mesures", NULL, 0, 0, "<Branch>" },
  { "/Mesures/Angle oriente", "<alt>A", (GtkItemFactoryCallback)menu_obj, IDM_ANGLE, "<Item>" },
  { "/Mesures/Angle non-oriente", "<alt>G", (GtkItemFactoryCallback)menu_obj, IDM_ANGLE_GEO, "<Item>" },
  { "/Mesures/Longueur", "<alt>L", (GtkItemFactoryCallback)menu_obj, IDM_NORM, "<Item>" },
  { "/Mesures/Produit scalaire de deux vecteurs", NULL, (GtkItemFactoryCallback)menu_obj, IDM_SCALAIREPROD, "<Item>" }
};


static GtkItemFactoryEntry elements_menu_ca[] =
  {
  { "/Fitxer",        	    NULL,	    0,		0,                            "<Branch>" },
  { "/Fitxer/_Nou",           "<control>N",   (GtkItemFactoryCallback)menu_file,     1, "<StockItem>", GTK_STOCK_NEW },
  { "/Fitxer/_Obre...",          "<control>O",   (GtkItemFactoryCallback)menu_file,     2, "<StockItem>", GTK_STOCK_OPEN },
  //  { "/Fitxer/Open Sample",    NULL,           (GtkItemFactoryCallback)menu_file,     3, "<Item>" },
  { "/Fitxer/_Tanca",         "<control>F4",  (GtkItemFactoryCallback)menu_file,     4, "<Item>" },
  { "/Fitxer/_Desa",          "<control>S",   (GtkItemFactoryCallback)menu_file,     5, "<StockItem>", GTK_STOCK_SAVE },
  { "/Fitxer/Desa com...",        "F12",          (GtkItemFactoryCallback)menu_file,     6, "<StockItem>", GTK_STOCK_SAVE_AS },
  { "/Fitxer/Exporter ...",     NULL,           (GtkItemFactoryCallback)menu_file,     8, "<Item>" },
  { "/Fitxer/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Fitxer/Settings",       NULL,           (GtkItemFactoryCallback)menu_file,     7, "<StockItem>", GTK_STOCK_PREFERENCES },
  { "/Fitxer/Llengua/Anglès", NULL, (GtkItemFactoryCallback)menu_lang, 0, "<Item>" },
  { "/Fitxer/Llengua/Francès", NULL, (GtkItemFactoryCallback)menu_lang, 1, "<Item>" },
  { "/Fitxer/Llengua/Català", NULL, (GtkItemFactoryCallback)menu_lang, 2, "<Item>" },
  { "/Fitxer/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Fitxer/_Surt", 	    "<control>Q",   (GtkItemFactoryCallback)askForQuit, 0, "<StockItem>", GTK_STOCK_QUIT },
  { "/Edita",               NULL,           0,               0,                       "<Branch>" },
  { "/Edita/_Desfés",          "<control>Z",   (GtkItemFactoryCallback)menu_edit,     1, "<StockItem>", GTK_STOCK_UNDO },
  { "/Edita/_Refés",          "<alt>Z",     (GtkItemFactoryCallback)menu_edit,     2, "<StockItem>", GTK_STOCK_REDO },
  { "/Edita/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Edita/Sel·lecciona-ho tot",     "<control>A",   (GtkItemFactoryCallback)menu_edit,     3, "<Item>" },
  { "/Edita/Suprimeix",         "<del>",        (GtkItemFactoryCallback)menu_obj,     IDM_DELETE, "<Item>" },
  { "/Edita/Amaga",           "<control>H",   (GtkItemFactoryCallback)menu_obj,    IDM_HIDE, "<Item>" },
  //  { "/Edita/Canvia Color",   NULL,           (GtkItemFactoryCallback)menu_edit,     6, "<Item>" },
  //  { "/Edita/Propietats",     NULL,           (GtkItemFactoryCallback)menu_edit,     7, "<Item>" },
  { "/Edita/separator",      NULL,           0,               0,                       "<Separator>" },
  { "/Edita/Crea un comentari", NULL,    (GtkItemFactoryCallback)menu_obj,     IDM_COMMENT, "<Item>" },
  { "/Punts",             NULL,           0,               0,                       "<Branch>" },
  { "/Punts/Lliure/En el pla",     "<control>f",            (GtkItemFactoryCallback)menu_obj,      IDM_FIXPOINT, "<Item>" },
  { "/Punts/lliure/En un objecte",     "<alt>f", (GtkItemFactoryCallback)menu_obj,      IDM_FIXPOINT_LIMITED, "<Item>" },
  { "/Punts/Intersecció/2 Rectes", "<control>i", (GtkItemFactoryCallback)menu_obj, IDM_POINTINTERSECT, "<Item>" },
  { "/Punts/Intersecció/recta+circumferència", "<alt>i", (GtkItemFactoryCallback)menu_obj, IDM_INTER_CERCLE_DROITE, "<Item>" },
  { "/Punts/Intersecció/2 Circumferències", NULL,(GtkItemFactoryCallback)menu_obj, IDM_INTER_CERCLE_CERCLE, "<Item>" },
  { "/Punts/Punt mitjà",    "<control>m",            (GtkItemFactoryCallback)menu_obj, IDM_MIDPOINT, "<Item>" },
  { "/Punts/Baricentre",   "<control>b",     (GtkItemFactoryCallback)menu_obj, IDM_BARY, "<Item>" },
  { "/Punts/Transformats/Traslladat (3 punts)", "<control>t",   (GtkItemFactoryCallback)menu_obj, IDM_VECT, "<Item>" },
  { "/Punts/Transformats/Traslladat per un vector", NULL, (GtkItemFactoryCallback)menu_obj, IDM_TRANSLATEDPOINT, "<Item>" },
  { "/Punts/Transformats/Rotat", "<control>r",    (GtkItemFactoryCallback)menu_obj, IDM_POINT_ROTATED, "<Item>" },
  { "/Punts/Transformats/Projecció en una circumferència", NULL,  (GtkItemFactoryCallback)menu_obj, IDM_PROJ_CIRCLE, "<Item>" },
  { "/Punts/Transformats/Projecció en una recta", NULL,    (GtkItemFactoryCallback)menu_obj, IDM_PROJ_LINE, "<Item>" },
  { "/Punts/Transformats/Projecció ortogonal", NULL,   (GtkItemFactoryCallback)menu_obj, IDM_PROJ_ORTHOGONAL, "<Item>" },
  { "/Rectes",             NULL,           0,               0,                       "<Branch>" },
  { "/Rectes/Per dos punts", "<control>l", (GtkItemFactoryCallback)menu_obj, IDM_LINEAB, "<Item>" },
  { "/Rectes/Segment", "<alt>s", (GtkItemFactoryCallback)menu_obj, IDM_SEGMENT, "<Item>" },
  { "/Rectes/Perpendicular a una altra recta", "<alt>o", (GtkItemFactoryCallback)menu_obj, IDM_ORTHOGONAL, "<Item>" },
  { "/Rectes/Paral·lela a una altra recta", "<alt>p", (GtkItemFactoryCallback)menu_obj, IDM_PARALLEL, "<Item>" },
  { "/Rectes/Bissectriu", "<control>b", (GtkItemFactoryCallback)menu_obj, IDM_BISSECTRICE, "<Item>" },
  { "/Circumferències", NULL, 0, 0, "<Branch>" },
  { "/Circumferències/Centre+Radi", "<control>c", (GtkItemFactoryCallback)menu_obj, IDM_CIRCLEAB, "<Item>" },
  { "/Circumferències/Tangent a una recta", "<control>t", (GtkItemFactoryCallback)menu_obj, IDM_CERCLE_TANGENT, "<Item>" },
  { "/Vectors", NULL, 0, 0, "<Branch>" },
  { "/Vectors/Per dos punts", "<control>v", (GtkItemFactoryCallback)menu_obj, IDM_VECTORAB, "<Item>" },
  { "/Vectors/Suma de vectors", NULL, (GtkItemFactoryCallback)menu_obj, IDM_VECTORSUM, "<Item>" },
  { "/Vectors/Diferència de vectors", NULL, (GtkItemFactoryCallback)menu_obj, IDM_VECTORDIFF, "<Item>" },
  { "/Mesures", NULL, 0, 0, "<Branch>" },
  { "/Mesures/Angle orientat", "<alt>A", (GtkItemFactoryCallback)menu_obj, IDM_ANGLE, "<Item>" },
  { "/Mesures/Angle no orientat", "<alt>G", (GtkItemFactoryCallback)menu_obj, IDM_ANGLE_GEO, "<Item>" },
  { "/Mesures/Longitud", "<alt>L", (GtkItemFactoryCallback)menu_obj, IDM_NORM, "<Item>" },
  { "/Mesures/Producte escalar de dos vectors", NULL, (GtkItemFactoryCallback)menu_obj, IDM_SCALAIREPROD, "<Item>" }
};
